<?php
//dummy plugin
require_once 'classes/GatewayPlugin.php';

/**
* @package Plugins
*/
class PluginDineromail extends GatewayPlugin
{
    function getVariables() {
        /* Specification 
              itemkey     - used to identify variable in your other functions
              type        - text,textarea,yesno,password
              description - description of the variable, displayed in ClientExec
        */
    
        $variables = array (
                   /*T*/"Plugin Name"/*/T*/ => array (
                                        "type"          =>"hidden", 
                                        "description"   =>/*T*/"How CE sees this plugin (not to be confused with the Signup Name)"/*/T*/,
                                        "value"         =>/*T*/"Dineromail"/*/T*/
                                       ),
                   /*T*/"In Signup"/*/T*/ => array (
                                        "type"          =>"yesno", 
                                        "description"   =>/*T*/"Select YES if you want to include this payment processor in the signup script."/*/T*/,
                                        "value"         =>"0"
                                       ),
                   /*T*/"Nro de comercio"/*/T*/ => array (
                                        "type"          =>"text", 
                                        "description"   =>/*T*/"Codigo del comercio brindado por Dineromail para identificar el usuario."/*/T*/,
                                        "value"         =>""
                                       ),
                   /*T*/"Permite mensaje"/*/T*/ => array (
                                        "type"          =>"yesno", 
                                        "description"   =>/*T*/"Seleccione si si desea que el cliente pueda dejar un mensaje al realizar el pago."/*/T*/,
                                        "value"         =>"1"
                                       ),
                   /*T*/"Signup Name"/*/T*/ => array (
                                        "type"          =>"text",
                                        "description"   =>/*T*/"Select the name to display in the signup process for this payment type. Example: eCheck or Credit Card."/*/T*/,
                                        "value"         =>"Tarjeta de credito, Pago Facil, Rapipagos"
                                       ),
                    /*T*/"Invoice After Signup"/*/T*/ => array (
                                        "type"          =>"yesno",
                                        "description"   =>/*T*/"Select YES if you want an invoice sent to the customer after signup is complete."/*/T*/,
                                        "value"         =>"1"
                                        ),
            /*T*/"Invoice After Signup"/*/T*/ => array (
                                "type"          =>"yesno",
                                "description"   =>/*T*/"Select YES if you want an invoice sent to the customer after signup is complete."/*/T*/,
                                "value"         =>"1"
                                )
        );
        return $variables;
    }
    
    function singlepayment($params) 
    {
				$precio = number_format($params['invoiceTotal'],2,'.','');
				$concepto = urlencode('Factura #'.$params['invoiceNumber']);
				
				$code = base64_encode(base64_encode($params['invoiceNumber'].'_'.$params['invoiceTotal']));
				
				$url_suss = urlencode($params['clientExecURL'].'/plugins/gateways/dineromail/callback.php?s='.$code);
				$url_error = urlencode($params['clientExecURL'].'/plugins/gateways/dineromail/callback.php?e='.$code);
				
				$link = 'https://www.dineromail.com/Shop/Shop_Ingreso.asp?NombreItem='.$concepto.'&TipoMoneda=1&PrecioItem='.$precio.'&E_Comercio='.$params['plugin_dineromail_Nro de comercio'].'&NroItem='.$params['invoiceNumber'].'&image_url=&DireccionExito='.$url_suss.'&DireccionFracaso='.$url_error.'&DireccionEnvio=0&Mensaje='.$params['plugin_dineromail_Permite mensaje'];
		
        $landing = "<html><head><meta http-equiv=\"refresh\" content=\"2;url=".$link."\"></head><body>";
				$landing .= "<table width=\"100%\" height=\"100%\" border=\"0\" cellpadding=\"0\" cellspacing=\"0\">";
				$landing .= "<tr><td align=\"center\" valign=\"middle\"><table width=\"420\" height=\"98\" border=\"1\" align=\"center\" cellpadding=\"0\" cellspacing=\"0\" bordercolor=\"#CCCCCC\" style=\"border-collapse:collapse;\">";
				$landing .= "<tr><td align=\"center\" bgcolor=\"#F7F7F7\"><p style=\"font-family: Tahoma, Arial, Helvetica; font-size: 12px;\">Redirectcionando a DineroMail</p>";
				$landing .= "<p style=\"font-family: Tahoma, Arial, Helvetica; font-size: 12px;\">Por favor espere 2 segundos. De lo contrario haga <a href=\"".$link."\">click aqui</a>. </p></td>";
				$landing .= "</tr></table></td></tr></table></body></html>";
				
				echo $landing;
				exit;
    
    }
}
?>
